Index: ccr/tags/CCR_1_0_5/output/PAT_123_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_123_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_123_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:40:35-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:13-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -114,5 +114,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -147,4 +147,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING2</CCRDataObjectID>
@@ -205,5 +207,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -238,4 +240,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING3</CCRDataObjectID>
@@ -296,5 +300,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -338,4 +342,6 @@
 </MultipleDirectionModifier>
 </Direction>
+</Directions>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -376,4 +382,6 @@
 <DirectionSequenceModifier>2</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING4</CCRDataObjectID>
@@ -434,5 +442,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -467,4 +475,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 <VitalSigns>
Index: ccr/tags/CCR_1_0_5/output/PAT_164_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_164_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_164_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:03-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:31-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING2</CCRDataObjectID>
@@ -185,5 +187,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -218,4 +220,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 <VitalSigns>
Index: ccr/tags/CCR_1_0_5/output/PAT_1_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_1_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_1_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:40:19-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:00:56-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -215,5 +215,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -248,4 +248,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING3</CCRDataObjectID>
Index: ccr/tags/CCR_1_0_5/output/PAT_206_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_206_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_206_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:06-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:33-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -88,5 +88,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -121,4 +121,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED2</CCRDataObjectID>
Index: ccr/tags/CCR_1_0_5/output/PAT_207_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_207_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_207_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:21-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:44-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -79,5 +79,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -109,4 +109,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_256_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_256_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_256_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:33-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:02:04-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -99,5 +99,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -129,4 +129,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_297_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_297_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_297_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:01-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:35-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 <VitalSigns>
Index: ccr/tags/CCR_1_0_5/output/PAT_317_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_317_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_317_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:22-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:46-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -89,5 +89,5 @@
 </Units>
 </Quantity>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -122,4 +122,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_364_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_364_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_364_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:23-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:48-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_365_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_365_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_365_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:24-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:05-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING2</CCRDataObjectID>
@@ -185,5 +187,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -218,4 +220,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING3</CCRDataObjectID>
@@ -273,5 +277,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -306,4 +310,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_369_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_369_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_369_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:34-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:02:05-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -132,5 +132,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -164,4 +164,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_410_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_410_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_410_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:12-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:37-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -79,5 +79,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -109,4 +109,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 <VitalSigns>
Index: ccr/tags/CCR_1_0_5/output/PAT_42_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_42_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_42_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:40:21-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:00:59-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -186,5 +186,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -219,4 +219,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING2</CCRDataObjectID>
@@ -277,5 +279,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -310,4 +312,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING3</CCRDataObjectID>
@@ -368,5 +372,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -401,4 +405,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING4</CCRDataObjectID>
@@ -459,5 +465,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -492,4 +498,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING5</CCRDataObjectID>
@@ -550,5 +558,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -583,4 +591,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING6</CCRDataObjectID>
@@ -641,5 +651,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -674,4 +684,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING7</CCRDataObjectID>
@@ -713,5 +725,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -743,4 +755,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING8</CCRDataObjectID>
@@ -798,5 +812,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -831,4 +845,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING9</CCRDataObjectID>
@@ -889,5 +905,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -922,4 +938,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING10</CCRDataObjectID>
@@ -980,5 +998,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -1013,4 +1031,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING11</CCRDataObjectID>
@@ -1071,5 +1091,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -1104,4 +1124,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED12</CCRDataObjectID>
Index: ccr/tags/CCR_1_0_5/output/PAT_52_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_52_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_52_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:40:54-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:26-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -79,5 +79,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -109,4 +109,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 <VitalSigns>
Index: ccr/tags/CCR_1_0_5/output/PAT_703_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_703_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_703_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:26-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:53-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_711_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_711_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_711_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:35-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:02:06-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -232,5 +232,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -267,4 +267,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED2</CCRDataObjectID>
@@ -332,5 +334,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -368,4 +370,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED3</CCRDataObjectID>
@@ -439,5 +443,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -472,4 +476,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED4</CCRDataObjectID>
@@ -543,5 +549,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -582,4 +588,6 @@
 </MultipleDirectionModifier>
 </Direction>
+</Directions>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -620,4 +628,6 @@
 </MultipleDirectionModifier>
 </Direction>
+</Directions>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -658,4 +668,6 @@
 </MultipleDirectionModifier>
 </Direction>
+</Directions>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -693,4 +705,6 @@
 <DirectionSequenceModifier>4</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_712_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_712_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_712_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:27-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:54-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -85,5 +85,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -118,4 +118,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED2</CCRDataObjectID>
Index: ccr/tags/CCR_1_0_5/output/PAT_739_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_739_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_739_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:41:28-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:56-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED_PENDING2</CCRDataObjectID>
@@ -179,5 +181,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -212,4 +214,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 </Medications>
 </Body>
Index: ccr/tags/CCR_1_0_5/output/PAT_73_CCR_V1_0_5.xml
===================================================================
--- ccr/tags/CCR_1_0_5/output/PAT_73_CCR_V1_0_5.xml	(revision 203)
+++ ccr/tags/CCR_1_0_5/output/PAT_73_CCR_V1_0_5.xml	(revision 205)
@@ -8,5 +8,5 @@
 <Version>V1.0</Version>
 <DateTime>
-<ExactDateTime>2008-10-07T15:40:58-0500</ExactDateTime>
+<ExactDateTime>2008-10-07T23:01:28-0500</ExactDateTime>
 </DateTime>
 <Patient>
@@ -94,5 +94,5 @@
 </Refill>
 </Refills>
-</Medication>
+<Directions>
 <Direction>
 <DoseIndicator>
@@ -127,4 +127,6 @@
 <DirectionSequenceModifier>1</DirectionSequenceModifier>
 </Direction>
+</Directions>
+</Medication>
 <Medication>
 <CCRDataObjectID>MED2</CCRDataObjectID>